# Название чейнкода: offerCC
    Канал: offerchannel
    Версия: 1

## Описание чейнкода
Заявки на обмен между пользователями

## Функции
	addOffer                            // добавил заявку на обмен между пользователями
    changeOfferStatus                   // изменить статус заявки на обмен между пользователями
    getRequestsByStatus                 // получить заявки по статусу
    getUserIncomingRequestsByStatus     // получить входящие заявки по статусу
    getUserOutgoingRequestsByStatus     // получить исходящие заявки по статусу
    getHistoryUserIncomingRequests      // получить историю входящих заявок по статусу
    getHistoryUserOutgoingRequests      // получить историю исходящих заявок по статусу
    isOfferApproved                     // проверить является ли заявка принятой
        -   этот метод используется чейнкод transactionCC метод TransferFunds
## Вызов зависимых чейнкодов

#### VerifyAccount -  проверить AccountInfo - кошелек и счет найдены по пользователю и не заблокированны
	VerifyAccountFunctionName  = "verifyUserAccount"
	VerifyAccountChaincodeName = "accountCC"
	VerifyAccountChannelName   = "accountchannel"
    
#### FindLockAmountByOperationIDAndUserId - Получение заблокированных средств по operationID и Пользователю
	FindLockAmountByOperationIDAndUserIdFunctionName  = "findLockAmountByOperationIDAndUserId"
	FindLockAmountByOperationIDAndUserIdChaincodeName = "transactionCC"
	FindLockAmountByOperationIDAndUserIdChannelName   = "transactionchannel"
    
## Зависимости между чейнкодами

#### addOffer - добавил заявку на обмен между пользователями
    - VerifyAccount
    - FindLockAmountByOperationIDAndUserId

#### changeOfferStatus - изменить статус заявки на обмен между пользователями
    - VerifyAccount

## Открытые вопросы

#### Общее